JsonParseException (Jackson-core 2.0.2 API)
Date: 2012-05-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core
Class JsonParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.fasterxml.jackson.core.JsonProcessingException
                      com.fasterxml.jackson.core.JsonParseException

All Implemented Interfaces:
  Serializable

    public class JsonParseException

extends JsonProcessingException

Exception type for parsing problems, used when non-well-formed content (content that does not conform to JSON syntax as per specification) is encountered.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException
`_location`

Constructor Summary
`JsonParseException(String msg, JsonLocation loc)`
`JsonParseException(String msg, JsonLocation loc, Throwable root)`

Method Summary

Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException
`getLocation, getMessage, getMessageSuffix, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonParseException

    public JsonParseException(String msg,
                              JsonLocation loc)

### JsonParseException

    public JsonParseException(String msg,
                              JsonLocation loc,
                              Throwable root)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.